=== debian/changelog ===
ledmon (0.31-1) unstable; urgency=low

  * Initial release (Closes: #658815)

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Mon, 23 Jan 2012 13:45:41 -0600
