=== debian/control ===
Source: ledmon
Section: admin
Priority: extra
Maintainer: Daniel Jared Dominguez <Jared_Dominguez@Dell.com>
Build-Depends: debhelper (>= 7.0.50~), perl
Standards-Version: 3.9.2
Homepage: http://ledmon.sourceforge.net/ 

Package: ledmon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, openipmi
Description: Enclosure LED Utilities
 ledmon and ledctl are userspace tools designed to control storage
 enclosure LEDs. The user must have root privileges to use these tools.
 .
 These tools use the SGPIO and SES-2 protocols to monitor and control LEDs.
 They been verified to work with Intel(R) storage controllers (i.e. the
 Intel(R) AHCI controller) and have not been tested with storage controllers of
 other vendors (especially SAS/SCSI controllers).
