## ledmon 0.32

=== doc/Makefile ===
--- 
+++ 
@@ -22,8 +22,8 @@
 MAN8_INSTDIR=$(MAN_INSTDIR)/man8
 MAN5_INSTDIR=$(MAN_INSTDIR)/man5
 
-RELEASE_DATE?="January 2012"
-RELEASE_VER?=0.31
+RELEASE_DATE?="February 2012"
+RELEASE_VER?=0.32
 
 default: all
