=== debian/changelog ===
ledmon (0.32-1) unstable; urgency=low

  * New upstream release
  * Fixes issue where HOTSPARE had higher priority than REBUILD

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Mon, 05 Mar 2012 11:41:06 -0600
