=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: extra
 Maintainer: Daniel Jared Dominguez <Jared_Dominguez@Dell.com>
-Build-Depends: debhelper (>= 7.0.50~), perl
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 8), perl
+Standards-Version: 3.9.1
 Homepage: http://ledmon.sourceforge.net/ 
 
 Package: ledmon
