=== debian/changelog ===
ledmon (0.74-1~ubuntu12.10.1) quantal-backports; urgency=low

  * No-change backport to quantal (LP: #1074455)

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 28 Apr 2013 18:33:19 +0200

ledmon (0.74-1) unstable; urgency=low

  * New upstream release:
  * restart of the ledmon's internal state when an unrecoverable error occurs
    (e.g. lack of disk's location)
  * logging level for not supported patterns changed from 'warning' to 'debug'
  * more detailed information about device change (name changed, missing)
  * added extra checks against device presence in sysfs (device may disappear
    at anytime: during rescan, initialization, sending command)
  * pattern "locate_off" fixed
  * SES-2 support for enclosures
  * New patterns (SES-2) in ledctl for drives in enclosures
  * Improved LED blinking and slot locations for AHCI and SCSI DA
  * ledctl and ledmon were converted to the raw bitstream (TX_GP) interface,
    so they do not need additional SGPIO support in the kernel now
    (by Dan Williams <dan.j.williams@intel.com>)
  * the way ledctl works has been changed: so far turning on some LEDs
    did not change the state of all other LEDs of all controllers,
    now turning on some LEDs turns off all other LEDs of all controllers
  * ledctl's manual was corrected and updated

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Thu, 23 Aug 2012 16:28:32 -0500
