=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: ledmon
 Section: admin
-Priority: extra
+Priority: optional
 Maintainer: Daniel Jared Dominguez <Jared_Dominguez@Dell.com>
-Build-Depends: debhelper (>= 8), perl
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9), perl, libsgutils2-dev
+Standards-Version: 3.9.3
 Homepage: http://ledmon.sourceforge.net/ 
 
 Package: ledmon
@@ -17,3 +17,6 @@
  They been verified to work with Intel(R) storage controllers (i.e. the
  Intel(R) AHCI controller) and have not been tested with storage controllers of
  other vendors (especially SAS/SCSI controllers).
+ .
+ For backplane enclosures attached to ISCI controllers, support is limited to
+ Intel(R) Intelligent Backplanes.
