=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 #  Intel(R) Enclosure LED Utilities
-#  Copyright (C) 2009,2012, Intel Corporation.
+#  Copyright (C) 2009-2013 Intel Corporation.
 #
 #  This program is free software; you can redistribute it and/or modify it
 #  under the terms and conditions of the GNU General Public License,
@@ -12,7 +12,7 @@
 #  more details.
 #
 #  You should have received a copy of the GNU General Public License along with
-#  this program; if not, write to the Free Software Foundation, Inc., 
+#  this program; if not, write to the Free Software Foundation, Inc.,
 #  51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
 #
 
@@ -55,7 +55,7 @@
 	$(OUTDIR)/ledctl.o	\
 	$(OBJECTS)
 
-CFLAGS=-O0 -g -Wall -std=c99
+CFLAGS=-O0 -g -Wall
 DEFFLAGS=-D_DEBUG -D_GNU_SOURCE -D_BSD_SOURCE -DDMALLOC_DISABLE
 INCFLAGS=-I../config
 LDFLAGS=-O0 -g $(DEFFLAGS) -lsgutils2
