=== debian/changelog ===
ledmon (0.79-2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:31:42 +0000

ledmon (0.79-2) unstable; urgency=high

  * Fix for 3.13 kernel change (LP: #1349920)

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Wed, 30 Jul 2014 14:19:11 -0500

ledmon (0.79-1) unstable; urgency=medium

  * Acknowledge NMUs. (Closes: #708673)
  * Putting all this into git.
  * Add VCS information to debian/control.

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Wed, 25 Jun 2014 16:44:07 -0500

ledmon (0.79-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on non-Linux  with "Architecture: linux-any"

 -- Kamal Mostafa <kamal@debian.org>  Tue, 03 Dec 2013 07:16:30 -0800

ledmon (0.79-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.
  * Adds support for NVME SSD devices (uses nvme/nvmhci block driver). 
  * Fix small coding error in ledctl.pod
  * Update help info regarding reporting bugs
  * Make sure addr is null-terminated
  * Check if the directory 'holders' exists
  * Check device for NULL before dereferencing
  * ledctl documentation improvements
  * Do not use ISO C99 standard
  * Do not send LED command if state of block device has not changed
  * Change ledmon's behavior during rebuild. 
  * Correct some style problems using kernel's checkpatch.
  * Remove indentation info
  * Correct indentation according to the Linux coding style using indent
  * Update Copyright year to 2013
  * Fix support for Dell PCIe SSD Devices
  * More minor fixes revealed by a coverity scan
  * Minor fixes revealed by a coverity scan

 -- Kent Baxley <kb4xley@gmail.com>  Wed, 27 Nov 2013 15:33:27 -0600
