=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: ledmon
 Section: admin
 Priority: optional
-Maintainer: Daniel Jared Dominguez <Jared_Dominguez@Dell.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Jared Dominguez <Jared_Dominguez@Dell.com>
 Build-Depends: debhelper (>= 9), perl, libsgutils2-dev
-Standards-Version: 3.9.3
-Homepage: http://ledmon.sourceforge.net/ 
+Standards-Version: 3.9.5
+Homepage: http://ledmon.sourceforge.net/
+Vcs-Git: git://linux.dell.com/debian/ledmon.git
+Vcs-Browser: http://linux.dell.com/git/debian/ledmon.git
 
 Package: ledmon
-Architecture: any
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, openipmi
 Description: Enclosure LED Utilities
  ledmon and ledctl are userspace tools designed to control storage
