=== debian/watch ===
# watch control file for uscan
version=3
http://sf.net/ledmon/ledmon-(.+)\.tar\.gz debian uupdate
