=== debian/changelog ===
ledmon (0.90-0ubuntu1~18.04.1) bionic; urgency=medium

  * Backport ledmon 0.90-0ubuntu1 to Ubuntu 18.04. (LP: #1789786)

 -- Woodrow Shen (Shye-Tzeng Shen) <woodrow.shen@canonical.com>  Fri, 21 Sep 2018 13:52:12 +0200

ledmon (0.90-0ubuntu1) cosmic; urgency=medium

  * New upstream release
  * Drop upstream cherrypick
  * Refresh patches
  * Bump standards version

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 01 Aug 2018 10:59:20 +0100
