=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Daniel Jared Dominguez <Jared_Dominguez@Dell.com>
-Build-Depends: debhelper (>= 9), perl, libsgutils2-dev
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), perl, libsgutils2-dev, libudev-dev
+Standards-Version: 4.1.5
 Homepage: http://ledmon.sourceforge.net/
 Vcs-Git: git://linux.dell.com/debian/ledmon.git
 Vcs-Browser: http://linux.dell.com/git/debian/ledmon.git
