=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ledmon-$1.tar.gz%" \
     https://github.com/intel/ledmon/tags \
     (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
