## ledmon 0.93

=== debian/changelog ===
ledmon (0.93-2) unstable; urgency=medium

  * Don't compile with flag address-of-packed-member to fix build failure.

 -- Hsieh-Tseng Shen <woodrow.shen@gmail.com>  Mon, 02 Dec 2019 03:52:31 +0000

ledmon (0.93-1) unstable; urgency=medium

  * Salvage ledmon for maintenance transition. (Closes: #939315)
  * New upstream release v0.93.
  * Remove obsolete patches.
  * Add debian/watch for importing upstream as tarball.

 -- Hsieh-Tseng Shen <woodrow.shen@gmail.com>  Tue, 05 Nov 2019 09:03:43 +0000

ledmon (0.90-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release. (Closes: #878271)
    - Fixes FTBFS with glibc 2.28. (Closes: #915476)

 -- Adrian Bunk <bunk@debian.org>  Fri, 11 Jan 2019 14:03:30 +0200
