=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: ledmon
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Jared Dominguez <Jared_Dominguez@Dell.com>
-Build-Depends: debhelper (>= 9), perl, libsgutils2-dev, libudev-dev
-Standards-Version: 4.1.5
-Homepage: http://ledmon.sourceforge.net/
-Vcs-Git: git://linux.dell.com/debian/ledmon.git
-Vcs-Browser: http://linux.dell.com/git/debian/ledmon.git
+Maintainer: Hsieh-Tseng Shen <woodrow.shen@gmail.com>
+Build-Depends: debhelper (>= 9.20160403~), perl, libsgutils2-dev, libudev-dev
+Standards-Version: 4.4.0
+Homepage: https://github.com/intel/ledmon
+Vcs-Git: https://salsa.debian.org/woodrow.shen-guest/ledmon.git
+Vcs-Browser: https://salsa.debian.org/woodrow.shen-guest/ledmon
 
 Package: ledmon
 Architecture: linux-any
