=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export LC_ALL := C.UTF-8

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-systemd

override_dh_installman:
	# rename manpages file for fixing lintian warnings
	mv debian/ledmon/usr/share/man/man5/ledmon.conf.5.5 debian/ledmon/usr/share/man/man5/ledmon.conf.5
	mv debian/ledmon/usr/share/man/man8/ledctl.8.8 debian/ledmon/usr/share/man/man8/ledctl.8
	mv debian/ledmon/usr/share/man/man8/ledmon.8.8 debian/ledmon/usr/share/man/man8/ledmon.8
	dh_installman
