## ledmon 0.94

=== debian/changelog ===
ledmon (0.94-1) unstable; urgency=medium

  * New upstream release 0.94.
    - Support for AMD IPMI enclosure management.
    - Support for NPEM.
  * debian/control: add systemd, pkg-config and libpci-dev as build dependency.
  * debian/control: update Standards-Version to 4.5.0.
  * Add debian/ledmon.init.
  * debian/rules: fix typo and remove manual systemd installation.
  * Remove obsolete patch.

 -- Hsieh-Tseng Shen <woodrow.shen@gmail.com>  Thu, 13 Feb 2020 05:55:32 +0000

ledmon (0.93-3) unstable; urgency=medium

  * Fix 32bit compilation error to prevent shift-count-overflow.

 -- Hsieh-Tseng Shen <woodrow.shen@gmail.com>  Tue, 10 Dec 2019 05:34:46 +0000
