=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,11 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export LC_ALL := C.UTF-8
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --with systemd
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
