## ledmon 0.95

=== debian/changelog ===
ledmon (0.95-2) unstable; urgency=medium

  * Rebuild with libsgutils2-2 to fix broken dependency. (Closes: #994521)

 -- Hsieh-Tseng Shen <woodrow.shen@gmail.com>  Thu, 17 Feb 2022 23:40:25 +0800

ledmon (0.95-1) unstable; urgency=medium

  * New upstream release 0.95.
    - Allow to run ledctl version without root.
    - README update with the compilation steps.
  * debian/copyright: update date.
  * debian/docs: rename README.md.
  * debian/rules: remove unnecessary '--with systemd' and override_dh_installman.

 -- Hsieh-Tseng Shen <woodrow.shen@gmail.com>  Sat, 23 Jan 2021 21:15:31 +0800

ledmon (0.94-2) unstable; urgency=medium

  * Rebuild with libsgutils2-2 to fix broken dependency. (Closes: #957088)
  * debian/copyright: add Upstream-Contact to fix lintian warning.

 -- Hsieh-Tseng Shen <woodrow.shen@gmail.com>  Sun, 19 Apr 2020 10:00:41 +0000
