=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: admin
 Priority: optional
 Maintainer: Hsieh-Tseng Shen <woodrow.shen@gmail.com>
-Build-Depends: debhelper (>= 9.20160403~), perl, libsgutils2-dev, libudev-dev
-Standards-Version: 4.4.0
+Build-Depends: debhelper (>= 10), systemd, pkg-config, libsgutils2-dev, libudev-dev, libpci-dev
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/debian/ledmon.git
+Vcs-Browser: https://salsa.debian.org/debian/ledmon
 Homepage: https://github.com/intel/ledmon
-Vcs-Git: https://salsa.debian.org/woodrow.shen-guest/ledmon.git
-Vcs-Browser: https://salsa.debian.org/woodrow.shen-guest/ledmon
 
 Package: ledmon
 Architecture: linux-any
