=== debian/watch ===
# watch control file for uscan
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ledmon-$1\.tar\.gz/ \
  https://github.com/intel/ledmon/tags .*/v?(\d\S+)\.tar\.gz
