## ledmon 0.97

=== debian/changelog ===
ledmon (0.97-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply adapted upstream commit to fix FTBFS on 32-bit arches.
    Thanks to Guillem Jover <gjover@sipwise.com> (Closes: #1077904)

 -- Michael Prokop <mika@debian.org>  Mon, 07 Oct 2024 13:01:52 +0200

ledmon (0.97-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace systemd Build-Depends with systemd-dev. (Closes: #1060587)

 -- Michael Biebl <biebl@debian.org>  Wed, 17 Jul 2024 16:29:18 +0200

ledmon (0.97-1) unstable; urgency=medium

  * New upstream release 0.97.
    - ledctl: add support to empty slots blinking.
    - ledmon license change to LGPLv2.
    - ledctl: Add SES get/set/list slot support.
    - Update NPEM wait command.
    - Remove exclusionary language.
    - ledmon: Define ONESHOT_NORMAL for VMD.
    - more bug fixes from 0.97 and 0.96.
  * debian/copyright: update license and date.

 -- Hsieh-Tseng Shen <woodrow.shen@gmail.com>  Tue, 27 Feb 2024 23:20:44 +0800
