=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Hsieh-Tseng Shen <woodrow.shen@gmail.com>
-Build-Depends: debhelper (>= 10), systemd, pkg-config, libsgutils2-dev, libudev-dev, libpci-dev
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), systemd-dev, pkg-config, libsgutils2-dev, libudev-dev, libpci-dev
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/ledmon.git
 Vcs-Browser: https://salsa.debian.org/debian/ledmon
